// vector.h - Declaración de la clase CVector
#if !defined( _VECTOR_H_ )
#define _VECTOR_H_

class CVector
{
  friend void fnVisualizar(const CVector& vector);
  private:
    double *vector;  // puntero al primer elemento de la matriz
    int nElementos;  // número de elementos de la MATRIZ
  protected:
    double *asignarMem(int);
  public:
    CVector(); // crea un CVector con N de elementos por omisión
    CVector(int ne);         // crea un CVector con ne elementos
    CVector(double *, int);  // crea un CVector desde una matriz
    CVector(const CVector&); // crea un CVector desde otro
    ~CVector();              // destructor
    double& elemento(int i) const;
    int longitud() const;
};

#endif // _VECTOR_H_

